## IAnjutaProjectBackend

IAnjutaProjectBackend — Interface for creating new project

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_project_backend_error_quark ()
IAnjutaProject * | ianjuta_project_backend_new_project ()
gint | ianjuta_project_backend_probe ()

## Types and Values

#define | IANJUTA_PROJECT_BACKEND_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaProjectBackend

## Includes

    #include <libanjuta/interfaces/ianjuta-project-backend.h>

## Description

## Functions

### ianjuta_project_backend_error_quark ()

    GQuark
    ianjuta_project_backend_error_quark (void);

### ianjuta_project_backend_new_project ()

    IAnjutaProject *
    ianjuta_project_backend_new_project (IAnjutaProjectBackend *obj,
                                         GFile *file,
                                         GError **err);

Create a new Anjuta project.

#### Parameters

obj | Self |
file | Project file or directory. | [transfer none]
err | Error propagation and reporting |

#### Returns

An object implementing the IAnjutaProject interface.

[transfer full]

### ianjuta_project_backend_probe ()

    gint
    ianjuta_project_backend_probe (IAnjutaProjectBackend *obj,
                                   GFile *directory,
                                   GError **err);

Check if the directory contains a project supported by this backend.

#### Parameters

obj | Self |
directory | Project file or directory. | [transfer none]
err | Error propagation and reporting |

#### Returns

0 if the project is invalid and > 0 if the project is valid.

## Types and Values

### IANJUTA_PROJECT_BACKEND_ERROR

    #define IANJUTA_PROJECT_BACKEND_ERROR ianjuta_project_backend_error_quark()